Bug 242367 - Hibernation and Suspend options should not being shown when using the livecd
Hibernation and Suspend options should not being shown when using the livecd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 14:45 EDT by Martin Jürgens
Modified: 2008-06-16 21:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Jürgens 2007-06-03 14:45:12 EDT
Description of problem:
Hibernation and Suspend options should not being shown when using the livecd

I accidently did this, and it did weird things with my laptop and I only could
get it back to life with an external monitor.
Comment 1 Nigel Cunningham 2007-06-12 06:50:06 EDT
Suspend to ram should be okay - since you had issues with video, we probably
need to run a tool afterwards to post the video bios or such like.

Hibernation could also work if there was swap available.

Both of these, then, could be valid options even when working from a live cd.
Ideally for hibernation the option wouldn't appear unless we actually can
hibernate, but that would need to be fixed upstream.
Comment 2 David Wilson 2007-10-29 07:47:21 EDT
I also tried suspend to RAM with my Dell Inspiron 6000 running Live f8test3 with
mixed results.

Booting from CD:
Suspend works, resume works but with black screen. Ctrl-Alt-F1 then Ctrl-Alt-F7
fixes this. dmesg shows some errors but nothing fatal it appears.

Booting from USB stick:
Suspend works, resume seems to work with same black screen (fixable as before) 
but attempting to run any command that is not in RAM (by being run before the
suspend) gives error due to USB stick no longer being mounted/accessible.

If anyone wants to look into this I can capture the relevant output from dmesg etc.
Comment 3 Martin Jürgens 2008-04-19 15:42:48 EDT
> Ideally for hibernation the option wouldn't appear unless we actually can
hibernate, but that would need to be fixed upstream.

I'd say leave this open till it is fixed then :)
Comment 4 Bug Zapper 2008-05-14 08:46:01 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:23:27 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.